Choose style:

Author Topic: Dpkg: error processing package python3-aptdaemon  (Read 157 times)

0 Members and 1 Guest are viewing this topic.

Offline UnknownSh-t

  • Newly Subscribed
  • *
  • Posts: 4
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 10
Dpkg: error processing package python3-aptdaemon
« on: January 24, 2020, 11:13:21 am »
Hello guys, I've been using Peppermint OS 10 for 2 month now. I'd solved one dpkg error before this but I can't solve this. Help!!!

The problem:
While sudo apt-get upgrade:
Code: [Select]
Setting up python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1570
    async = reply_handler and error_handler
          ^
SyntaxError: invalid syntax

dpkg: error processing package python3-aptdaemon (--configure):
 installed python3-aptdaemon package post-installation script subprocess returned error exit status 1
...
dpkg: dependency problems prevent configuration of python3-aptdaemon.gtk3widgets:
 python3-aptdaemon.gtk3widgets depends on python3-aptdaemon (= 1.1.1+bzr982-0ubuntu19.2); however:
  Package python3-aptdaemon is not configured yet.

dpkg: error processing package python3-aptdaemon.gtk3widgets (--configure):
 dependency problems - leaving unconfigure
...
Errors were encountered while processing:
 python3-aptdaemon
 python3-aptdaemon.gtk3widgets
E: Sub-process /usr/bin/dpkg returned an error code (1)

But then I ran this:
Code: [Select]
unknown@unknownPC ~ $ sudo dpkg --configure -a
Setting up python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1570
    async = reply_handler and error_handler
          ^
SyntaxError: invalid syntax

dpkg: error processing package python3-aptdaemon (--configure):
 installed python3-aptdaemon package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of python3-aptdaemon.gtk3widgets:
 python3-aptdaemon.gtk3widgets depends on python3-aptdaemon (= 1.1.1+bzr982-0ubuntu19.2); however:
  Package python3-aptdaemon is not configured yet.

dpkg: error processing package python3-aptdaemon.gtk3widgets (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 python3-aptdaemon
 python3-aptdaemon.gtk3widgets

After that I uninstalled and installed again python3-aptdaemon:
Code: [Select]
unknown@unknownPC ~ $ sudo apt-get remove python3-aptdaemon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libwireshark12 libwiretap9 libwscodecs2 libwsutil10
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  aptdaemon gnome-software gnome-software-plugin-flatpak gnome-software-plugin-snap
  language-selector-gnome python3-aptdaemon python3-aptdaemon.gtk3widgets
  software-properties-gtk
0 upgraded, 0 newly installed, 8 to remove and 1 not upgraded.
2 not fully installed or removed.
After this operation, 9,946 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 471157 files and directories currently installed.)
Removing language-selector-gnome (0.188.3) ...
Removing gnome-software-plugin-snap (3.34.2-1) ...
Removing gnome-software-plugin-flatpak (3.34.2-1) ...
Removing gnome-software (3.34.2-1) ...
Removing software-properties-gtk (0.96.24.32.12) ...
Removing python3-aptdaemon.gtk3widgets (1.1.1+bzr982-0ubuntu19.2) ...
Removing python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Removing aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Processing triggers for mime-support (3.64) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.32.0-1) ...
Processing triggers for libglib2.0-0:i386 (2.62.4-1) ...
Processing triggers for man-db (2.9.0-2) ...
Processing triggers for dbus (1.12.16-2) ...
Processing triggers for shared-mime-info (1.10-1) ...
Processing triggers for peppermint-system (10.0.0.1) ...
Processing triggers for desktop-file-utils (0.24-1) ...
unknown@unknownPC ~ $ sudo apt-get install python3-aptdaemon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libwireshark12 libwiretap9 libwscodecs2 libwsutil10
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  aptdaemon diffstat gettext intltool-debian libarchive-zip-perl
  libasync-mergepoint-perl libauthen-sasl-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libberkeleydb-perl libcapture-tiny-perl libcgi-fast-perl
  libcgi-pm-perl libclass-accessor-perl libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclone-perl libdevel-callchecker-perl
  libdigest-bubblebabble-perl libdigest-hmac-perl libdynaloader-functions-perl
  libemail-valid-perl libfcgi-perl libfile-basedir-perl libfile-find-rule-perl
  libfont-ttf-perl libfreezethaw-perl libfuture-perl libimport-into-perl
  libio-async-loop-epoll-perl libio-async-perl libio-pty-perl libio-string-perl
  libipc-run-perl libipc-system-simple-perl liblinux-epoll-perl liblist-compare-perl
  libmailtools-perl libmldbm-perl libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libmoox-aliases-perl libnamespace-clean-perl
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnet-libidn-perl libnet-smtp-ssl-perl libnumber-compare-perl
  libpackage-stash-perl libpackage-stash-xs-perl libparams-classify-perl
  libpath-tiny-perl libperl4-corelibs-perl libperlio-gzip-perl libreadonly-perl
  libref-util-perl libref-util-xs-perl librole-tiny-perl libsereal-decoder-perl
  libsereal-encoder-perl libsereal-perl libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-name-perl
  libsub-quote-perl libtest-fatal-perl libtest-refcount-perl libtext-glob-perl
  libtext-levenshtein-perl libtype-tiny-perl libtype-tiny-xs-perl
  libunicode-utf8-perl libvariable-magic-perl libxml-libxml-perl
  libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-expat-perl
  libxml-sax-perl libyaml-libyaml-perl lintian patchutils t1utils
Suggested packages:
  gettext-doc autopoint libasprintf-dev libgettextpo-dev libgssapi-perl
  libscalar-number-perl libbareword-filehandles-perl libindirect-perl
  libmultidimensional-perl libdevel-lexalias-perl libdevel-stacktrace-perl
  libxml-sax-expatxs-perl binutils-multiarch libtext-template-perl
The following NEW packages will be installed:
  aptdaemon diffstat gettext intltool-debian libarchive-zip-perl
  libasync-mergepoint-perl libauthen-sasl-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libberkeleydb-perl libcapture-tiny-perl libcgi-fast-perl
  libcgi-pm-perl libclass-accessor-perl libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclone-perl libdevel-callchecker-perl
  libdigest-bubblebabble-perl libdigest-hmac-perl libdynaloader-functions-perl
  libemail-valid-perl libfcgi-perl libfile-basedir-perl libfile-find-rule-perl
  libfont-ttf-perl libfreezethaw-perl libfuture-perl libimport-into-perl
  libio-async-loop-epoll-perl libio-async-perl libio-pty-perl libio-string-perl
  libipc-run-perl libipc-system-simple-perl liblinux-epoll-perl liblist-compare-perl
  libmailtools-perl libmldbm-perl libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libmoox-aliases-perl libnamespace-clean-perl
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnet-libidn-perl libnet-smtp-ssl-perl libnumber-compare-perl
  libpackage-stash-perl libpackage-stash-xs-perl libparams-classify-perl
  libpath-tiny-perl libperl4-corelibs-perl libperlio-gzip-perl libreadonly-perl
  libref-util-perl libref-util-xs-perl librole-tiny-perl libsereal-decoder-perl
  libsereal-encoder-perl libsereal-perl libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-name-perl
  libsub-quote-perl libtest-fatal-perl libtest-refcount-perl libtext-glob-perl
  libtext-levenshtein-perl libtype-tiny-perl libtype-tiny-xs-perl
  libunicode-utf8-perl libvariable-magic-perl libxml-libxml-perl
  libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-expat-perl
  libxml-sax-perl libyaml-libyaml-perl lintian patchutils python3-aptdaemon t1utils
0 upgraded, 88 newly installed, 0 to remove and 1 not upgraded.
Need to get 6,884 kB/6,975 kB of archives.
After this operation, 26.2 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://my.archive.ubuntu.com/ubuntu bionic/universe i386 libasync-mergepoint-perl all 0.04-2 [10.2 kB]
--After a long time--
Setting up aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Setting up python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1570
    async = reply_handler and error_handler
          ^
SyntaxError: invalid syntax

dpkg: error processing package python3-aptdaemon (--configure):
 installed python3-aptdaemon package post-installation script subprocess returned error exit status 1
Processing triggers for libc-bin (2.29-3) ...
Processing triggers for man-db (2.9.0-2) ...
Processing triggers for dbus (1.12.16-2) ...
Processing triggers for install-info (6.7.0.dfsg.2-5) ...
Errors were encountered while processing:
 python3-aptdaemon
E: Sub-process /usr/bin/dpkg returned an error code (1)

Help...

- by UnknownSh-t

Offline kendall

  • Administrator
  • Member
  • *****
  • Posts: 656
  • Karma: 129
  • Co-Founder
    • View Profile
Re: Dpkg: error processing package python3-aptdaemon
« Reply #1 on: January 24, 2020, 01:24:50 pm »
Hello and welcome. Sorry you're running into this. It's actually an upstream bug in Ubuntu that we've unfortunately inherited. Basically that package requires Python 3.6 and, because of backports, the version you're using is almost certainly Python 3.7.

Here's the same problem on askubuntu with a couple of resolutions:

https://askubuntu.com/questions/1162377/syntaxerror-while-setting-up-python3-aptdaemon
Peppermint is powered by VPS.NET Cloud Servers.

Offline UnknownSh-t

  • Newly Subscribed
  • *
  • Posts: 4
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 10
Re: Dpkg: error processing package python3-aptdaemon
« Reply #2 on: January 25, 2020, 06:57:51 am »
Thank you for responding. I tried, but it still shows the same output...

While running the first solution:

Solution:
sudo update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.6 1
sudo update-alternatives --config python3

Output:
Code: [Select]
unknown@unknownPC ~ $ sudo update-alternatives --install /usr/bin/python3 python3 /usr/bin/python3.6 1
update-alternatives: using /usr/bin/python3.6 to provide /usr/bin/python3 (python3) in auto mode
unknown@unknownPC ~ $ sudo update-alternatives --config python3
There is only one alternative in link group python3 (providing /usr/bin/python3): /usr/bin/python3.6
Nothing to configure.

So I didn't type "1".

Then I upgrade:
Output:
--Same output(still have the similar thing)--

While running the 2nd solution:

Solution:
sudo apt-get remove python3-apt
sudo apt-get install python3-apt
sudo apt remove python3-aptdaemon
sudo apt install python3-aptdaemon

Output:
Code: [Select]
unknown@unknownPC ~ $ sudo apt-get remove python3-apt
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  apt-file diffstat gettext gnome-session-bin intltool-debian libapt-pkg-perl
  libarchive-zip-perl libasync-mergepoint-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libberkeleydb-perl libcapture-tiny-perl libcgi-fast-perl
  libcgi-pm-perl libclass-accessor-perl libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclone-perl libdevel-callchecker-perl
  libdigest-bubblebabble-perl libdynaloader-functions-perl libemail-valid-perl
  libexporter-tiny-perl libfcgi-perl libfile-basedir-perl libfile-find-rule-perl
  libfont-ttf-perl libfreezethaw-perl libfuture-perl libimport-into-perl
  libio-async-loop-epoll-perl libio-async-perl libio-pty-perl libio-string-perl
  libipc-run-perl libipc-system-simple-perl liblinux-epoll-perl liblist-compare-perl
  liblist-moreutils-perl libmldbm-perl libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libmoox-aliases-perl libnamespace-clean-perl
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnumber-compare-perl libpackage-stash-perl libpackage-stash-xs-perl
  libparams-classify-perl libpath-tiny-perl libperl4-corelibs-perl
  libperlio-gzip-perl libreadonly-perl libref-util-perl libref-util-xs-perl
  libregexp-assemble-perl librole-tiny-perl libsereal-decoder-perl
  libsereal-encoder-perl libsereal-perl libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-quote-perl
  libtest-fatal-perl libtest-refcount-perl libtext-glob-perl
  libtext-levenshtein-perl libtype-tiny-perl libtype-tiny-xs-perl
  libunicode-utf8-perl libvariable-magic-perl libyaml-libyaml-perl lintian
  patchutils python3-xapian t1utils xwayland
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  apt-xapian-index aptdaemon command-not-found flashplugin-installer gdebi
  gdebi-core gnome-software language-selector-common python3-apport python3-apt
  python3-aptdaemon python3-aptdaemon.gtk3widgets python3-commandnotfound
  python3-distupgrade python3-software-properties python3-update-manager
  software-properties-common software-properties-gtk ubuntu-drivers-common
  ubuntu-release-upgrader-core update-manager-core update-notifier-common
  xserver-xorg-hwe-18.04
0 upgraded, 0 newly installed, 23 to remove and 1 not upgraded.
4 not fully installed or removed.
After this operation, 18.2 MB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 475435 files and directories currently installed.)
Removing gnome-software (3.34.2-1) ...
Removing software-properties-gtk (0.96.24.32.12) ...
Removing python3-aptdaemon.gtk3widgets (1.1.1+bzr982-0ubuntu19.2) ...
Removing apt-xapian-index (0.50) ...
Removing index /var/lib/apt-xapian-index...
Removing command-not-found (18.04.5-1) ...
Removing flashplugin-installer (32.0.0.314ubuntu0.18.04.1) ...
Removing gdebi (0.9.5.7+nmu3) ...
Removing gdebi-core (0.9.5.7+nmu3) ...
Removing language-selector-common (0.188.3) ...
Removing xserver-xorg-hwe-18.04 (1:7.7+19ubuntu8~18.04.3) ...
Removing python3-apport (2.20.9-0ubuntu7.9) ...
Removing software-properties-common (0.96.24.32.12) ...
Removing python3-software-properties (0.96.24.32.12) ...
Removing update-notifier-common (3.192.1.7) ...
Removing python3-commandnotfound (18.04.5) ...
Removing update-manager-core (1:18.04.11.10) ...
Removing ubuntu-release-upgrader-core (1:18.04.36) ...
Removing ubuntu-drivers-common (1:0.5.2.5) ...
Removing python3-distupgrade (1:18.04.36) ...
Removing python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Removing aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Removing python3-update-manager (1:18.04.11.10) ...
Removing python3-apt (1.8.5) ...
Processing triggers for mime-support (3.64) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.32.0-1) ...
Processing triggers for libglib2.0-0:i386 (2.62.4-1) ...
Processing triggers for man-db (2.9.0-2) ...
Processing triggers for dbus (1.12.16-2) ...
Processing triggers for shared-mime-info (1.10-1) ...
Processing triggers for peppermint-system (10.0.0.1) ...
Processing triggers for desktop-file-utils (0.24-1) ...
unknown@unknownPC ~ $ sudo apt-get install python3-apt
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  apt-file diffstat gettext gnome-session-bin intltool-debian libapt-pkg-perl
  libarchive-zip-perl libasync-mergepoint-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libberkeleydb-perl libcapture-tiny-perl libcgi-fast-perl
  libcgi-pm-perl libclass-accessor-perl libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclone-perl libdevel-callchecker-perl
  libdigest-bubblebabble-perl libdynaloader-functions-perl libemail-valid-perl
  libexporter-tiny-perl libfcgi-perl libfile-basedir-perl libfile-find-rule-perl
  libfont-ttf-perl libfreezethaw-perl libfuture-perl libimport-into-perl
  libio-async-loop-epoll-perl libio-async-perl libio-pty-perl libio-string-perl
  libipc-run-perl libipc-system-simple-perl liblinux-epoll-perl liblist-compare-perl
  liblist-moreutils-perl libmldbm-perl libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libmoox-aliases-perl libnamespace-clean-perl
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnumber-compare-perl libpackage-stash-perl libpackage-stash-xs-perl
  libparams-classify-perl libpath-tiny-perl libperl4-corelibs-perl
  libperlio-gzip-perl libreadonly-perl libref-util-perl libref-util-xs-perl
  libregexp-assemble-perl librole-tiny-perl libsereal-decoder-perl
  libsereal-encoder-perl libsereal-perl libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-quote-perl
  libtest-fatal-perl libtest-refcount-perl libtext-glob-perl
  libtext-levenshtein-perl libtype-tiny-perl libtype-tiny-xs-perl
  libunicode-utf8-perl libvariable-magic-perl libyaml-libyaml-perl lintian
  patchutils python3-xapian t1utils xwayland
Use 'sudo apt autoremove' to remove them.
Suggested packages:
  python3-apt-dbg python-apt-doc
The following NEW packages will be installed:
  python3-apt
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 278 kB of archives.
After this operation, 1,483 kB of additional disk space will be used.
Get:1 http://ftp.yzu.edu.tw/Linux/kali kali-rolling/main i386 python3-apt i386 1.8.5 [278 kB]
Fetched 278 kB in 9s (31.4 kB/s)                                                     
Selecting previously unselected package python3-apt.
(Reading database ... 474370 files and directories currently installed.)
Preparing to unpack .../python3-apt_1.8.5_i386.deb ...
Unpacking python3-apt (1.8.5) ...
Setting up python3-apt (1.8.5) ...
unknown@unknownPC ~ $ sudo apt remove python3-aptdaemon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'python3-aptdaemon' is not installed, so not removed
The following packages were automatically installed and are no longer required:
  apt-file diffstat gettext gnome-session-bin intltool-debian libapt-pkg-perl
  libarchive-zip-perl libasync-mergepoint-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libberkeleydb-perl libcapture-tiny-perl libcgi-fast-perl
  libcgi-pm-perl libclass-accessor-perl libclass-method-modifiers-perl
  libclass-xsaccessor-perl libclone-perl libdevel-callchecker-perl
  libdigest-bubblebabble-perl libdynaloader-functions-perl libemail-valid-perl
  libexporter-tiny-perl libfcgi-perl libfile-basedir-perl libfile-find-rule-perl
  libfont-ttf-perl libfreezethaw-perl libfuture-perl libimport-into-perl
  libio-async-loop-epoll-perl libio-async-perl libio-pty-perl libio-string-perl
  libipc-run-perl libipc-system-simple-perl liblinux-epoll-perl liblist-compare-perl
  liblist-moreutils-perl libmldbm-perl libmodule-implementation-perl
  libmodule-runtime-perl libmoo-perl libmoox-aliases-perl libnamespace-clean-perl
  libnet-dns-perl libnet-dns-sec-perl libnet-domain-tld-perl libnet-ip-perl
  libnumber-compare-perl libpackage-stash-perl libpackage-stash-xs-perl
  libparams-classify-perl libpath-tiny-perl libperl4-corelibs-perl
  libperlio-gzip-perl libreadonly-perl libref-util-perl libref-util-xs-perl
  libregexp-assemble-perl librole-tiny-perl libsereal-decoder-perl
  libsereal-encoder-perl libsereal-perl libstrictures-perl libstruct-dumb-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-quote-perl
  libtest-fatal-perl libtest-refcount-perl libtext-glob-perl
  libtext-levenshtein-perl libtype-tiny-perl libtype-tiny-xs-perl
  libunicode-utf8-perl libvariable-magic-perl libyaml-libyaml-perl lintian
  patchutils python3-xapian t1utils xwayland
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
unknown@unknownPC ~ $ sudo apt install python3-aptdaemon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  apt-file gnome-session-bin libregexp-assemble-perl python3-xapian xwayland
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  aptdaemon
The following NEW packages will be installed:
  aptdaemon python3-aptdaemon
0 upgraded, 2 newly installed, 0 to remove and 1 not upgraded.
Need to get 90.7 kB of archives.
After this operation, 717 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://my.archive.ubuntu.com/ubuntu bionic-updates/main i386 python3-aptdaemon all 1.1.1+bzr982-0ubuntu19.2 [77.1 kB]
Get:2 http://my.archive.ubuntu.com/ubuntu bionic-updates/main i386 aptdaemon all 1.1.1+bzr982-0ubuntu19.2 [13.5 kB]
Fetched 90.7 kB in 7s (12.2 kB/s)
Selecting previously unselected package python3-aptdaemon.
(Reading database ... 474399 files and directories currently installed.)
Preparing to unpack .../python3-aptdaemon_1.1.1+bzr982-0ubuntu19.2_all.deb ...
Unpacking python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Selecting previously unselected package aptdaemon.
Preparing to unpack .../aptdaemon_1.1.1+bzr982-0ubuntu19.2_all.deb ...
Unpacking aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Setting up aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
Setting up python3-aptdaemon (1.1.1+bzr982-0ubuntu19.2) ...
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1570
    async = reply_handler and error_handler
          ^
SyntaxError: invalid syntax

dpkg: error processing package python3-aptdaemon (--configure):
 installed python3-aptdaemon package post-installation script subprocess returned erro
r exit status 1
Processing triggers for man-db (2.9.0-2) ...
Processing triggers for dbus (1.12.16-2) ...
Errors were encountered while processing:
 python3-aptdaemon
E: Sub-process /usr/bin/dpkg returned an error code (1)

Still need help...

- by UnknownSh-t